using System.ComponentModel;
using Hotline.Exams.Base;
using Hotline.Share.Enums.Exams;
using SqlSugar;

namespace Hotline.Exams.ExamManages
{
    /// <summary>
    /// 题型分数
    /// </summary>
    [Description("题型分数")]
    public class ExamQuestionScoreBak:ExamBusinessEntity
    {
        /// <summary>
        /// 试题类型
        /// </summary>
        [SugarColumn(ColumnDescription ="试题类型")]
        [Description("试题类型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 试题分数
        /// </summary>
        [SugarColumn(ColumnDescription ="试题分数")]
        [Description("试题分数")]
        public int Score { get; set; }

        /// <summary>
        /// 考试管理Id
        /// </summary>
        [SugarColumn(ColumnDescription ="考试管理Id")]
        [Description("考试管理Id")]
        public string ExamManageId { get; set; }
    }
}
